Package Details: pls 5.4.0-2

Git Clone URL: https://aur.archlinux.org/pls.git (read-only, click to copy)
Package Base: pls
Description: Prettier `ls` for the pros
Upstream URL: https://dhruvkb.github.io/pls
Licenses: GPL3
Submitter: rautesamtr
Maintainer: rautesamtr
Last Packager: rautesamtr
Votes: 1
Popularity: 0.110592
First Submitted: 2022-02-05 19:13 (UTC)
Last Updated: 2022-08-12 16:00 (UTC)

Latest Comments

rautesamtr commented on 2022-03-05 19:48 (UTC)

@Imartinez-mirror since arch now officially moves to pep517 and the wiki has been updated accordingly i gave this another go and it looks like the binary issue is fixed now. I added most of your changes. Thank you.

lmartinez-mirror commented on 2022-02-14 02:37 (UTC)

Apologies, and thank you for the feedback.

rautesamtr commented on 2022-02-12 08:08 (UTC)

@Imartinez-mirror i appreciate the effort but please test the package your patch builds. The pls binary in your package is missing its executable bit.

lmartinez-mirror commented on 2022-02-12 03:57 (UTC)

Posting a patch for this PKGBUILD.

  • python-dephell is deprecated; I replaced it with python-build, python-install, and python-poetry-core since upstream uses poetry for building.
  • Switched to the PyPI tarballs instead of a git source since the package gains nothing from using it. It'd be better to have a checksum to verify against than a git repo without any GPG signatures.

https://gist.github.com/lmartinez-mirror/e3439281deb38fb26f7c4630fb91ad16